-- Tworzenie przestrzeni tabel dla tabel i indeksow repozytorium
-- w przypadku duzej wersji repozytorium dla Designera 10g

def DATABASE_PATH = '/u01/app/oracle/oradata/DB11G/desrep'

--def DATABASE_NET_SERVICE_NAME = 'oraus'

--def SYS_USER_PASSWORD = 'change_on_install'

--CONNECT sys@&DATABASE_NET_SERVICE_NAME/&SYS_USER_PASSWORD

CREATE tablespace CONSTANT_GROW_INDEXES
datafile '&DATABASE_PATH/cg_ind.ora' SIZE 2048k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace CONSTANT_GROW_TABLES
datafile '&DATABASE_PATH/cg_tab.ora' SIZE 2048k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace DEPENDENCY_INDEXES
datafile '&DATABASE_PATH/dep_ind.ora' SIZE 10240k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace DEPENDENCY_TABLES
datafile '&DATABASE_PATH/dep_tab.ora' SIZE 2048k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace DIAGRAM_INDEXES
datafile '&DATABASE_PATH/diag_ind.ora' SIZE 4096k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace DIAGRAM_TABLES
datafile '&DATABASE_PATH/diag_tab.ora' SIZE 2048k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace LOB_DATA
datafile '&DATABASE_PATH/lob_data.ora' SIZE 1024k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace RAPID_GROW_INDEXES
datafile '&DATABASE_PATH/rg_ind.ora' SIZE 303104k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace RAPID_GROW_TABLES
datafile '&DATABASE_PATH/rg_tab.ora' SIZE 89200k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace SYSTEM_META_INDEXES
datafile '&DATABASE_PATH/sm_ind.ora' SIZE 30720k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace SYSTEM_META_TABLES
datafile '&DATABASE_PATH/sm_tab.ora' SIZE 20480k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace TEMPORARY_INDEXES
datafile '&DATABASE_PATH/temp_ind.ora' SIZE 10240k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace TEMPORARY_TABLES
datafile '&DATABASE_PATH/temp_tab.ora' SIZE 10240k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace VERSION_INDEXES
datafile '&DATABASE_PATH/ver_ind.ora' SIZE 10240k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

CREATE tablespace VERSION_TABLES
datafile '&DATABASE_PATH/ver_tab.ora' SIZE 5600k
DEFAULT storage
(initial 100k NEXT 100k minextents 1 maxextents unlimited pctincrease 0);

select 'ALL TABLEPACES' "ALL TABLEPACES" from dual;

select tablespace_name from dba_tablespaces;

select 'PERMANENT AND UNDO TABLEPACES FILES' "DATAFILES" from dual;

select file_id, file_name, tablespace_name, autoextensible from dba_data_files order by tablespace_name;

select 'TEMPORARY TABLESPACES FILES' "TEMPFILES" from dual;

select file_id, file_name, tablespace_name, autoextensible from dba_temp_files order by tablespace_name;

--undef DATABASE_NET_SERVICE_NAME

undef DATABASE_PATH

--undef SYS_USER_PASSWORD



