def DATABASE_PATH = '/u01/app/oracle/oradata/DB11G/desrep'

--def DATABASE_NET_SERVICE_NAME = 'oraus'

--def SYS_USER_PASSWORD = 'change_on_install'

def SUB_USER = 'DES'

--CONNECT sys@&DATABASE_NET_SERVICE_NAME/&SYS_USER_PASSWORD

CREATE TEMPORARY TABLESPACE TEMP_DES_SUBUSER
TEMPFILE '&DATABASE_PATH/temp_des_subuser.ora' SIZE 12000k
AUTOEXTEND ON NEXT 128K MAXSIZE 32767M;

CREATE USER &SUB_USER 
identified by &SUB_USER 
DEFAULT tablespace RAPID_GROW_TABLES
TEMPORARY tablespace TEMP_DES_SUBUSER
profile DEFAULT;

/*
GRANT CONNECT, resource TO &SUB_USER;

GRANT CREATE TABLE TO &SUB_USER;

GRANT CREATE VIEW TO &SUB_USER;

GRANT CREATE PROCEDURE TO &SUB_USER;

GRANT CREATE synonym TO &SUB_USER;

GRANT CREATE sequence TO &SUB_USER;

GRANT SELECT ON dba_rollback_segs TO &SUB_USER;

GRANT SELECT ON dba_segments TO &SUB_USER;

GRANT CREATE ANY TABLE TO &SUB_USER;

GRANT CREATE ANY VIEW TO &SUB_USER;

GRANT CREATE ANY snapshot TO &SUB_USER;

GRANT CREATE ANY synonym TO &SUB_USER;

GRANT CREATE ANY PROCEDURE TO &SUB_USER;

GRANT CREATE ANY sequence TO &SUB_USER;

GRANT CREATE ANY trigger TO &SUB_USER;

GRANT CREATE ANY index TO &SUB_USER;

GRANT CREATE ANY TYPE TO &SUB_USER;

GRANT CREATE ANY cluster TO &SUB_USER;

GRANT SELECT ANY sequence TO &SUB_USER;

GRANT SELECT ANY TABLE TO &SUB_USER;
*/


select 'ALL TABLEPACES' "ALL TABLEPACES" from dual;

select tablespace_name from dba_tablespaces;

select 'PERMANENT AND UNDO TABLEPACES FILES' "DATAFILES" from dual;

select file_id, file_name, tablespace_name, autoextensible from dba_data_files order by tablespace_name;

select 'TEMPORARY TABLESPACES FILES' "TEMPFILES" from dual;

select file_id, file_name, tablespace_name, autoextensible from dba_temp_files order by tablespace_name;


undef DATABASE_PATH

--undef DATABASE_NET_SERVICE_NAME

--undef SYS_USER_PASSWORD

undef SUB_USER

