def DATABASE_PATH = '/u01/app/oracle/oradata/DB11G/desrep'

--def DATABASE_NET_SERVICE_NAME = 'oraus'

--def SYS_USER_PASSWORD = 'change_on_install'

--def CKROROLE_PATH = 'd:\oracle\product\DevSuiteHome_1\repadm61\utl'

def REP_OWNER = 'DESREP'

def REP_OWNER_PASSWORD = 'desrep'

--CONNECT sys@&DATABASE_NET_SERVICE_NAME/&SYS_USER_PASSWORD

--@&CKROROLE_PATH\ckrorole.SQL

CREATE TEMPORARY TABLESPACE TEMP_DES_OWNER
TEMPFILE '&DATABASE_PATH/temp_des_owner.ora' SIZE 4500k
AUTOEXTEND ON NEXT 104K MAXSIZE 32767M;

--ALTER DATABASE TEMPFILE '&DATABASE_PATH/temp_des_owner.ora'
--AUTOEXTEND ON NEXT 104K MAXSIZE 32767M;

CREATE USER &REP_OWNER 
identified by &REP_OWNER_PASSWORD
DEFAULT tablespace RAPID_GROW_TABLES
TEMPORARY tablespace TEMP_DES_OWNER
profile DEFAULT;


/*
GRANT EXECUTE ON dbms_rls TO &REP_OWNER;

GRANT EXECUTE ON dbms_lock TO &REP_OWNER;

GRANT EXECUTE ON dbms_pipe TO &REP_OWNER;

GRANT CREATE TABLE TO &REP_OWNER;

GRANT CREATE VIEW TO &REP_OWNER;

GRANT CREATE PROCEDURE TO &REP_OWNER;

GRANT CREATE synonym TO &REP_OWNER;

GRANT CREATE sequence TO &REP_OWNER;

GRANT SELECT ON sys.v_$nls_parameters TO &REP_OWNER
WITH GRANT OPTION;

GRANT SELECT ON sys.v_$parameter TO &REP_OWNER;

GRANT SELECT ON dba_rollback_segs TO &REP_OWNER;

GRANT SELECT ON dba_segments TO &REP_OWNER;

GRANT CREATE ANY synonym TO &REP_OWNER;

GRANT DROP ANY synonym TO &REP_OWNER;

GRANT CREATE PUBLIC synonym TO &REP_OWNER;

GRANT DROP PUBLIC synonym TO &REP_OWNER;

GRANT ck_oracle_repos_owner TO &REP_OWNER;

GRANT CONNECT, resource TO &REP_OWNER;
*/

--REVOKE SELECT ANY table FROM &REP_OWNER;


select 'ALL TABLEPACES' "ALL TABLEPACES" from dual;

select tablespace_name from dba_tablespaces;

select 'PERMANENT AND UNDO TABLEPACES FILES' "DATAFILES" from dual;

select file_id, file_name, tablespace_name, autoextensible from dba_data_files order by tablespace_name;

select 'TEMPORARY TABLESPACES FILES' "TEMPFILES" from dual;

select file_id, file_name, tablespace_name, autoextensible from dba_temp_files order by tablespace_name;


undef DATABASE_PATH

--undef DATABASE_NET_SERVICE_NAME

--undef SYS_USER_PASSWORD

--undef CKROROLE_PATH

undef REP_OWNER

undef REP_OWNER_PASSWORD


