--def DATABASE_NET_SERVICE_NAME = 'oraus'

--def SYS_USER_PASSWORD = 'change_on_install'

--CONNECT sys@&DATABASE_NET_SERVICE_NAME/&SYS_USER_PASSWORD

select tablespace_name, sum(bytes)/1024/1024 freembytes, (select sum(bytes)/1024/1024
from dba_data_files where tablespace_name='SYSTEM') totalmbytes
from dba_free_space where tablespace_name='SYSTEM' 
group by tablespace_name;

select tablespace_name, file_name, file_id, status, bytes/1024/1024 mbytes
from dba_data_files where tablespace_name = 'SYSTEM';

select 'Tablespace SYSTEM requires to be extended' action from dual
where (select sum(bytes)/1024/1024 from dba_free_space
where tablespace_name='SYSTEM')<140
union
select 'Tablespace SYSTEM does not require to be extended' action from dual
where (select sum(bytes)/1024/1024 from dba_free_space
where tablespace_name='SYSTEM')>=140;

--def SYSTEM_PATH = '/u01/app/oracle/oradata/DB11G'

--ALTER DATABASE DATAFILE '&SYSTEM_PATH/system01' RESIZE 640M;

----------------------------------------------------------------
-- Alternatywny sposob poszerzania rozmiaru przestrzeni tabel
----------------------------------------------------------------
--ALTER tablespace SYSTEM 
--ADD datafile '&SYSTEM_PATH/system02' SIZE 200m
--autoextend ON;
----------------------------------------------------------------

select tablespace_name, sum(bytes)/1024/1024 freembytes, (select sum(bytes)/1024/1024
from dba_data_files where tablespace_name='SYSTEM' group by tablespace_name) totalmbytes
from dba_free_space where tablespace_name='SYSTEM' 
group by tablespace_name;

select tablespace_name, file_name, file_id, status, bytes/1024/1024 mbytes
from dba_data_files where tablespace_name = 'SYSTEM';

select 'Tablespace SYSTEM requires to be extended' action from dual
where (select sum(bytes)/1024/1024 from dba_free_space
where tablespace_name='SYSTEM')<140
union
select 'Tablespace SYSTEM does not require to be extended' action from dual
where (select sum(bytes)/1024/1024 from dba_free_space
where tablespace_name='SYSTEM')>=140;

--undef SYSTEM_PATH

--undef DATABASE_NET_SERVICE_NAME

--undef SYS_USER_PASSWORD

