--def DATABASE_NET_SERVICE_NAME = 'oraus'

--def SYS_USER_PASSWORD = 'change_on_install'

--CONNECT sys@&DATABASE_NET_SERVICE_NAME/&SYS_USER_PASSWORD

select tablespace_name, contents, allocation_type, status from dba_tablespaces;

select tablespace_name, sum(bytes_free)/1024/1024 freembytes, (select sum(bytes)/1024/1024
from dba_temp_files where tablespace_name='TEMP') totalmbytes
from v_$temp_space_header where tablespace_name='TEMP'
group by tablespace_name;

select tablespace_name, file_name, file_id, status, bytes/1024/1024 mbytes
from dba_temp_files where tablespace_name = 'TEMP';

select 'Tablespace TEMP requires to be extended' action from dual
where (select sum(bytes_free)/1024/1024 from v_$temp_space_header
where tablespace_name='TEMP')<=15
union
select 'Tablespace TEMP does not require to be extended' action from dual
where (select sum(bytes_free)/1024/1024 from v_$temp_space_header
where tablespace_name='TEMP')>15;

def SYSTEM_PATH = '/u01/app/oracle/oradata/DB11G/datafiles'

--ALTER DATABASE TEMPFILE '&SYSTEM_PATH/temp01' RESIZE 40M;

select tablespace_name, sum(bytes_free)/1024/1024 freembytes, (select sum(bytes)/1024/1024
from dba_temp_files where tablespace_name='TEMP') totalmbytes
from v_$temp_space_header where tablespace_name='TEMP'
group by tablespace_name;

select tablespace_name, file_name, file_id, status, bytes/1024/1024 mbytes
from dba_temp_files where tablespace_name = 'TEMP';

select 'Tablespace TEMP requires to be extended' action from dual
where (select sum(bytes_free)/1024/1024 from v_$temp_space_header
where tablespace_name='TEMP')<=15
union
select 'Tablespace TEMP does not require to be extended' action from dual
where (select sum(bytes_free)/1024/1024 from v_$temp_space_header
where tablespace_name='TEMP')>15;

undef SYSTEM_PATH

--undef DATABASE_NET_SERVICE_NAME

--undef SYS_USER_PASSWORD

