--def DATABASE_NET_SERVICE_NAME = 'oraus'

--def SYS_USER_PASSWORD = 'change_on_install'

--CONNECT sys@&DATABASE_NET_SERVICE_NAME/&SYS_USER_PASSWORD

def UNDOTBS_NAME = 'UNDOTBS1'

select tablespace_name, contents, allocation_type, status from dba_tablespaces;

select tablespace_name, sum(bytes)/1024/1024 freembytes, (select sum(bytes)/1024/1024
from dba_data_files where tablespace_name='&UNDOTBS_NAME') totalmbytes
from dba_free_space where tablespace_name='&UNDOTBS_NAME' 
group by tablespace_name;

select tablespace_name, file_name, file_id, status, bytes/1024/1024 mbytes
from dba_data_files where tablespace_name = '&UNDOTBS_NAME';

select 'Tablespace '||'&UNDOTBS_NAME'||' requires to be extended' action from dual
where (select sum(bytes)/1024/1024 from dba_free_space
where tablespace_name='&UNDOTBS_NAME')<=10
union
select 'Tablespace '||'&UNDOTBS_NAME'||' does not require to be extended' action from dual
where (select sum(bytes)/1024/1024 from dba_free_space
where tablespace_name='&UNDOTBS_NAME')>10;

def SYSTEM_PATH = '/u01/app/oracle/oradata/DB11G'

--ALTER DATABASE DATAFILE '&SYSTEM_PATH/undo01' RESIZE 30M;

select tablespace_name, sum(bytes)/1024/1024 freembytes, (select sum(bytes)/1024/1024
from dba_data_files where tablespace_name='&UNDOTBS_NAME') totalmbytes
from dba_free_space where tablespace_name='&UNDOTBS_NAME' 
group by tablespace_name;

select tablespace_name, file_name, file_id, status, bytes/1024/1024 mbytes
from dba_data_files where tablespace_name = '&UNDOTBS_NAME';

select 'Tablespace '||'&UNDOTBS_NAME'||' requires to be extended' action from dual
where (select sum(bytes)/1024/1024 from dba_free_space
where tablespace_name='&UNDOTBS_NAME')<=10
union
select 'Tablespace '||'&UNDOTBS_NAME'||' does not require to be extended' action from dual
where (select sum(bytes)/1024/1024 from dba_free_space
where tablespace_name='&UNDOTBS_NAME')>10;

undef SYSTEM_PATH

undef UNDOTBS_NAME

--undef DATABASE_NET_SERVICE_NAME

--undef SYS_USER_PASSWORD

